> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Partial Update



## OpenAPI

````yaml api-reference/openapi.yaml patch /api/v1/portfolios/{id}/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/portfolios/{id}/:
    patch:
      tags:
        - Portfolios
      summary: Partial Update
      operationId: portfolios_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedPortfolio'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Portfolio'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PatchedPortfolio:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
        organization:
          allOf:
            - $ref: '#/components/schemas/Organization'
          readOnly: true
        organization_id:
          type: string
          format: uuid
          writeOnly: true
        survey_config_confirmed:
          type: boolean
          default: false
        audience_fee_language:
          allOf:
            - $ref: '#/components/schemas/AudienceFeeLanguageEnum'
          writeOnly: true
        audience_interacts_with_staff:
          type: boolean
          writeOnly: true
        audience_pays_directly:
          type: boolean
          writeOnly: true
        audience_type_str:
          $ref: '#/components/schemas/AudienceTypeStrEnum'
        audience_type:
          type: integer
          readOnly: true
        purpose:
          allOf:
            - $ref: '#/components/schemas/PurposeEnum'
          description: >-
            A value determining the intended purpose of the portfolio. Is this
            for yourself, or for a client?


            * `organization` - My Organization

            * `client` - Client

            * `secondary_brand` - Secondary Brand
        color_primary:
          type: string
        industries:
          type: array
          items:
            $ref: '#/components/schemas/IndustriesEnum'
        logo:
          type: string
          format: uri
        created_at:
          type: string
          format: date-time
          readOnly: true
        main_aggregate_report_id:
          type: string
          readOnly: true
        report_tags:
          type: string
          readOnly: true
        metrics:
          type: array
          items:
            $ref: '#/components/schemas/Metric'
          readOnly: true
        upload_data_flag:
          type: boolean
          readOnly: true
        allow_aggregate_flag:
          type: boolean
          readOnly: true
        allow_chat_flag:
          type: boolean
          readOnly: true
    Portfolio:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
      required:
        - id
    Organization:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          nullable: true
          maxLength: 100
      required:
        - id
    AudienceFeeLanguageEnum:
      enum:
        - fees
        - prices
      type: string
      description: |-
        * `fees` - fees
        * `prices` - prices
    AudienceTypeStrEnum:
      enum:
        - customers
        - employees
        - donors
        - media
        - gathering 2024 lecturees
      type: string
      description: |-
        * `customers` - customers
        * `employees` - employees
        * `donors` - donors
        * `media` - media
        * `gathering 2024 lecturees` - gathering 2024 lecturees
    PurposeEnum:
      enum:
        - organization
        - client
        - secondary_brand
      type: string
      description: |-
        * `organization` - My Organization
        * `client` - Client
        * `secondary_brand` - Secondary Brand
    IndustriesEnum:
      enum:
        - agriculture
        - construction
        - digital_banking
        - education
        - energy
        - entertainment
        - financial_services
        - food
        - healthcare
        - hospitality
        - it_service
        - manufacturing
        - media_production
        - mining
        - not_for_profit
        - pharmaceutical
        - professional_services
        - retail
        - technology
        - telecommunications
        - transport
        - other
      type: string
      description: |-
        * `agriculture` - agriculture
        * `construction` - construction
        * `digital_banking` - digital_banking
        * `education` - education
        * `energy` - energy
        * `entertainment` - entertainment
        * `financial_services` - financial_services
        * `food` - food
        * `healthcare` - healthcare
        * `hospitality` - hospitality
        * `it_service` - it_service
        * `manufacturing` - manufacturing
        * `media_production` - media_production
        * `mining` - mining
        * `not_for_profit` - not_for_profit
        * `pharmaceutical` - pharmaceutical
        * `professional_services` - professional_services
        * `retail` - retail
        * `technology` - technology
        * `telecommunications` - telecommunications
        * `transport` - transport
        * `other` - other
    Metric:
      type: object
      properties:
        name:
          type: string
          maxLength: 255
        direction:
          allOf:
            - $ref: '#/components/schemas/DirectionEnum'
          description: >-
            The desired direction of the metric (ex: Churn is -1 decrease,
            Revenue is 1 increase).


            * `1` - Increase

            * `-1` - Decrease

            * `0` - Neutral
          minimum: -2147483648
          maximum: 2147483647
        unit:
          type: string
          nullable: true
          description: 'The unit of measurement for the metric (ex: $, %, etc).'
          maxLength: 20
        description:
          type: string
          nullable: true
          maxLength: 255
        values:
          type: array
          items:
            $ref: '#/components/schemas/MetricValue'
          readOnly: true
      required:
        - name
        - values
    DirectionEnum:
      enum:
        - 1
        - -1
        - 0
      type: integer
      description: |-
        * `1` - Increase
        * `-1` - Decrease
        * `0` - Neutral
    MetricValue:
      type: object
      properties:
        value_str:
          type: string
          readOnly: true
        issued_at:
          type: string
          format: date-time
          description: The date the metric value was recorded.
        percentage_change:
          type: number
          format: double
          maximum: 10000
          minimum: -10000
          exclusiveMaximum: true
          exclusiveMinimum: true
          description: >-
            The percentage change between this value and the previous value
            based on issued_at.
        description:
          type: string
          nullable: true
          description: >-
            A description of the metric value (ex: 'This is the highest value
            we've ever recorded'). Respects HTML tags.
      required:
        - value_str
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````